Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1543454 (CVE-2018-6790) - CVE-2018-6790 kde-workspace: Missing sanitization of notifications allows to leak client IP address via IMG element
Summary: CVE-2018-6790 kde-workspace: Missing sanitization of notifications allows to ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-6790
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1542676 (view as bug list)
Depends On: 1543470 1543471 1568853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-08 13:40 UTC by Adam Mariš
Modified: 2021-02-17 00:50 UTC (History)
7 users (show)

Fixed In Version: plasma-workspace 5.8.9, plasma-workspace 5.12.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:18:34 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2141 0 None None None 2019-08-06 12:19:49 UTC

Description Adam Mariš 2018-02-08 13:40:51 UTC
An issue was discovered in KDE Plasma Workspace before 5.12.0. dataengines/notifications/notificationsengine.cpp allows remote attackers to discover client IP addresses via a URL in a notification, as demonstrated by the src attribute of an IMG element.

External References:

https://www.kde.org/info/security/advisory-20180208-1.txt

Comment 1 Adam Mariš 2018-02-08 14:09:03 UTC
Created kde-workspace tracking bugs for this issue:

Affects: fedora-all [bug 1543470]


Created plasma-workspace tracking bugs for this issue:

Affects: fedora-all [bug 1543471]

Comment 2 Tomas Hoger 2018-03-08 20:41:54 UTC
*** Bug 1542676 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2019-08-06 12:19:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2141 https://access.redhat.com/errata/RHSA-2019:2141

Comment 7 Product Security DevOps Team 2019-08-06 13:18:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-6790


Note You need to log in before you can comment on or make changes to this bug.